#include<iostream>
using namespace std;

int main(){
  int n,m;
  cin>>n>>m;
  char a[15][15];
  for (int i=1; i<=n; i++)
	  for(int j=1; j<=m; j++) cin>>a[i][j];

  bool k=1;
  for (int i=1; i<=n; i++)
	  for(int j=1; j<=m; j++) k*=(a[i][j]=='.');

  if (k==1) 
	  for (int i=1; i<=n; i++){
	    for(int j=1; j<=m; j++)
			if (i==j) cout<<'C';
			else cout<<'.';
			cout<<endl;}

  return 0;
}